Bug 250258 - Mk/bsd.sites.mk: Simplify MASTER_SITE_PHP and switch to use HTTPS
Summary: Mk/bsd.sites.mk: Simplify MASTER_SITE_PHP and switch to use HTTPS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-10 19:10 UTC by Yasuhiro KIMURA
Modified: 2020-10-15 03:41 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (649 bytes, patch)
2020-10-10 19:10 UTC, Yasuhiro KIMURA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2020-10-10 19:10:00 UTC
Created attachment 218651 [details]
Patch file

* Currently all of {de,es,fr,it,jp,se,uk3,us2,br,cn}.php.net are resolved to same IP address as 'www.php.net'. So simplify MASTER_SITE_PHP by replacing them with single 'www.php.net'.
* Switch to use HTTPS.
Comment 1 daniel.engberg.lists 2020-10-10 20:18:49 UTC
You should provide context for such as a change.
https://www.php.net/mirroring.php
Comment 2 Koichiro Iwao freebsd_committer 2020-10-14 01:39:26 UTC
I agree. The fact "*.php.net" refers the same IP address is true but some references are needed. Are county subdomains officially deprecated?
Comment 3 daniel.engberg.lists 2020-10-14 11:03:24 UTC
"The PHP project does no have an official mirror program anymore, but you can set-up a mirror for your own network or company." ...from the link.
They've set it to so it wouldn't cause unneeded breakage I'd imagine.
Comment 4 commit-hook freebsd_committer 2020-10-15 03:38:42 UTC
A commit references this bug:

Author: meta
Date: Thu Oct 15 03:38:06 UTC 2020
New revision: 552374
URL: https://svnweb.freebsd.org/changeset/ports/552374

Log:
  bsd.sites.mk: Unify MASTER_SITE_PHP and switch to HTTPS

  > The PHP project does no have an official mirror program anymore [1]

  [1] https://www.php.net/mirroring.php

  PR:		250258
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/Mk/bsd.sites.mk
Comment 5 Koichiro Iwao freebsd_committer 2020-10-15 03:41:48 UTC
Committed, thanks!